import { InjectionToken } from '@angular/core';
import { Observable } from 'rxjs';
export declare const UI_DO_LOAD_DISTANCE: InjectionToken<number>;
export declare class PullUpLoadController {
    onLoading: Observable<void>;
    onLoaded: Observable<void>;
    private infiniteSource;
    private loadedSource;
    private isPrevLoaded;
    constructor();
    loading(): void;
    loaded(): void;
}
